#!/usr/bin/bash

# Ketnel Tuning Parameters
sh set_kernel_parameters.sh

# Set Java Path for SPC-2 Run
CLASSPATH=/root/spc2
LD_LIBRARY_PATH=/root/spc2
SHLIB_PATH=/root/spc2
export CLASSPATH LD_LIBRARY_PATH SHLIB_PATH


# Current Date & Time
#date=$(date '+%Y%m%d_%H:%M:%S')
#log_dir=/root/spc2/Logs"/"$date"_run2"
log_dir=/root/Logs/NetClips_Scaleway
result_dir=$log_dir"/Results"
inventory_dir=$log_dir"/Inventory"

#mkdir -p $log_dir
#mkdir -p $result_dir
#mkdir -p $inventory_dir


# reboot log for the host
last reboot > $inventory_dir"/host_reboot_log.out"
ssh root@10.100.240.41 last reboot > $inventory_dir"/target_reboot_log.out"

sh config_capture.sh > $inventory_dir"/7.persist2.out"

java -Xmx1536m -Xms512m -cp /root/spc2 vdbench -wSPC2 -f Persistence_2.par -o $result_dir"/7.persistence2_results"
echo "SPC2 Persistence 2 complete!"

sh config_capture.sh > $inventory_dir"/8.test_end.out"
